Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.observe
Class NetChangeObserver.NetChange

    java.lang.Object
      org.modeshape.graph.observe.NetChangeObserver.NetChange

Enclosing class:
  NetChangeObserver

    @Immutable
    public static final class NetChangeObserver.NetChange

extends Object

A notification of changes to a node.

Constructor Summary
`NetChangeObserver.NetChange(String workspaceName, Location location, EnumSet<NetChangeObserver.ChangeType> eventTypes, Set<Property> addedProperties, Set<Property> modifiedProperties, Set<Name> removedProperties, Location movedFrom, Location movedBefore, boolean isReorder)`

Method Summary
`boolean` | `equals(Object obj)`
`Set<Property>` | `getAddedOrModifiedProperties()` Get the combination of `added` and `modified` properties.
`Set<Property>` | `getAddedProperties()`
`Location` | `getLocation()`
`Set<Property>` | `getModifiedProperties()`
`Location` | `getMovedBefore()` Get the location before which the node was moved, or null if this node was not moved before a particular node
`Location` | `getOriginalLocation()` Get the original location for this node, or null if this node was not moved
`Path` | `getPath()`
`Set<Name>` | `getRemovedProperties()`
`String` | `getRepositoryWorkspaceName()`
`int` | `hashCode()`
`boolean` | `includes(NetChangeObserver.ChangeType... jcrEventTypes)` Determine whether this net change includes any of the supplied types.
`boolean` | `includesAllOf(NetChangeObserver.ChangeType... jcrEventTypes)` Determine whether this net change includes all of the supplied types.
`boolean` | `includesOnly(NetChangeObserver.ChangeType... jcrEventTypes)` Determine whether this net change includes only the supplied types.
`boolean` | `isPropertyModified(String property)` Determine whether this node change includes the setting of new value(s) for the supplied property.
`boolean` | `isPropertyRemoved(String property)` Determine whether this node change includes the removal of the supplied property.
`boolean` | `isReorder()` True if this is a simple re-ordering of sibling nodes.
`boolean` | `isSameNode(NetChangeObserver.NetChange that)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetChangeObserver.NetChange

    public NetChangeObserver.NetChange(String workspaceName,
                                       Location location,
                                       EnumSet<NetChangeObserver.ChangeType> eventTypes,
                                       Set<Property> addedProperties,
                                       Set<Property> modifiedProperties,
                                       Set<Name> removedProperties,
                                       Location movedFrom,
                                       Location movedBefore,
                                       boolean isReorder)

Method Detail

### getLocation

    public Location getLocation()

  Returns:
    the node location

### getOriginalLocation

    public Location getOriginalLocation()

  Get the original location for this node, or null if this node was not moved

  Returns:
    the original location for this node before it was moved, or null if it was not moved

### getMovedBefore

    public Location getMovedBefore()

  Get the location before which the node was moved, or null if this node was not moved before a particular node

  Returns:
    movedBefore the location of the existing child under the new parent, before which this node was moved; or null if this node was not moved before another node

### isReorder

    public boolean isReorder()

  True if this is a simple re-ordering of sibling nodes.

  Returns:
    true if this is a reordering operation, or false otherwise

### getPath

    public Path getPath()

  Returns:
    absolutePath

### getRepositoryWorkspaceName

    public String getRepositoryWorkspaceName()

  Returns:
    repositoryWorkspaceName

### getAddedProperties

    public Set<Property> getAddedProperties()

  Returns:
    the added properties

### getModifiedProperties

    public Set<Property> getModifiedProperties()

  Returns:
    modifiedProperties

### getAddedOrModifiedProperties

    public Set<Property> getAddedOrModifiedProperties()

  Get the combination of `added` and `modified` properties.

  Returns:
    the immutable set of properties that were added or modified; never null but possibly empty

### getRemovedProperties

    public Set<Name> getRemovedProperties()

  Returns:
    removedProperties

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### includesAllOf

    public boolean includesAllOf(NetChangeObserver.ChangeType... jcrEventTypes)

  Determine whether this net change includes all of the supplied types.

  Parameters:
    `jcrEventTypes` - the types to check for
  Returns:
    true if all of the supplied events are included in this net change, or false otherwise

### includes

    public boolean includes(NetChangeObserver.ChangeType... jcrEventTypes)

  Determine whether this net change includes any of the supplied types.

  Parameters:
    `jcrEventTypes` - the types to check for
  Returns:
    true if any of the supplied events are included in this net change, or false otherwise

### includesOnly

    public boolean includesOnly(NetChangeObserver.ChangeType... jcrEventTypes)

  Determine whether this net change includes only the supplied types.

  Parameters:
    `jcrEventTypes` - the types to check for
  Returns:
    true if all of the supplied events are included in this net change, or false otherwise

### isSameNode

    public boolean isSameNode(NetChangeObserver.NetChange that)

### isPropertyModified

    public boolean isPropertyModified(String property)

  Determine whether this node change includes the setting of new value(s) for the supplied property.

  Parameters:
    `property` - the name of the property
  Returns:
    true if the named property has a new value on this node, or false otherwise

### isPropertyRemoved

    public boolean isPropertyRemoved(String property)

  Determine whether this node change includes the removal of the supplied property.

  Parameters:
    `property` - the name of the property
  Returns:
    true if the named property was removed from this node, or false otherwise

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.